# Generated from gitlab-qa-7.8.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-qa

Name: rubygem-%{gem_name}
Version: 7.8.3
Release: 1%{?dist}
Summary: Integration tests for GitLab
License: MIT
URL: http://about.gitlab.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(climate_control) >= 0.2
# BuildRequires: rubygem(climate_control) < 1
# BuildRequires: rubygem(gitlab-styles) >= 4.3.0
# BuildRequires: rubygem(gitlab-styles) < 4.4
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.82.0
# BuildRequires: rubygem(rubocop) < 0.83
# BuildRequires: rubygem(rubocop-rspec) >= 1.36
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(solargraph) >= 0.41
# BuildRequires: rubygem(solargraph) < 1
# BuildRequires: rubygem(webmock) = 3.7.0
BuildArch: noarch

%description
Integration tests for GitLab.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitlab-qa
%{_bindir}/gitlab-qa-report
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.gitlab
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_instdir}/fixtures
%{gem_libdir}
%{gem_instdir}/tls_certificates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/gitlab-qa.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 7.8.3-1
- Initial package
